## cascading.operation.text
Class FieldJoiner

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.text.FieldJoiner

All Implemented Interfaces:
  Function, Operation, Serializable

    public class FieldJoiner

extends BaseOperation
implements Function

Class FieldJoiner joins the values in a Tuple with a given delimiter and stuffs the result into a new field.

See Also:
  Serialized Form

Field Summary
`static String` `FIELD_NAME` Field FIELD_NAME

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`FieldJoiner(Fields fieldDeclaration)` Constructor FieldJoiner creates a new FieldJoiner instance.
`FieldJoiner(Fields fieldDeclaration, String delimiter)` Constructor FieldJoiner creates a new FieldJoiner instance.
`FieldJoiner(String delimiter)` Constructor FieldJoiner creates a new FieldJoiner instance.

Method Summary
`boolean` `equals(Object object)`
`String` `getDelimiter()` Method getFormat returns the delimiter of this FieldJoiner object.
`int` `hashCode()`
`void` `operate(FlowProcess flowProcess, FunctionCall functionCall)` Method operate provides the implementation of this Function.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Field Detail

### FIELD_NAME

    public static final String FIELD_NAME

  Field FIELD_NAME

  See Also:
    Constant Field Values

Constructor Detail

### FieldJoiner

    @ConstructorProperties(value="delimiter")
    public FieldJoiner(String delimiter)

  Constructor FieldJoiner creates a new FieldJoiner instance.

  Parameters:
    `delimiter` - of type String

### FieldJoiner

    @ConstructorProperties(value="fieldDeclaration")
    public FieldJoiner(Fields fieldDeclaration)

  Constructor FieldJoiner creates a new FieldJoiner instance.

  Parameters:
    `fieldDeclaration` - of type Fields

### FieldJoiner

    @ConstructorProperties(value={"fieldDeclaration","delimiter"})
    public FieldJoiner(Fields fieldDeclaration,
                                                  String delimiter)

  Constructor FieldJoiner creates a new FieldJoiner instance.

  Parameters:
    `fieldDeclaration` - of type Fields
    `delimiter` - of type String

Method Detail

### getDelimiter

    public String getDelimiter()

  Method getFormat returns the delimiter of this FieldJoiner object.

  Returns:
    the delimiter (type String) of this FieldJoiner object.

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall
  See Also:
    `Function.operate(cascading.flow.FlowProcess,cascading.operation.FunctionCall)`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.